Subject: receiving self-orig Lsa

From: Jason Chen <[email-masked]>
Date: Thu, 7 Aug 2003 20:33:44 -0700

Hi, 

We need some clarification regarding -- "Receiving self-originated LSA"

RFC section 13.4 said,

".... A self-originated LSA is detected when..... 2) the LSA is a network- LSA and its Link State ID is equal to one of the router's own IP interface addresses. "
".....In most cases, the router must then advance the LSA's LS sequence number one past the received LS sequence number, and originate a new instance of the LSA"
In an OSPF network, if one router change its OSPF router-id and then it receives self-orig Network Lsa with its old router id from its neighbor.  If the criteria (2) is met, should we treat the received LSA as self-orig LSA ?
If we treat the LSA as self-orig LSA, the router will reoriginate  new LSA (with new router-id)  with sequence number one past the received sequence number. What would be the right behavior once its neighbor receive the new LSA ?
Thanks,
Jason

---

From: Acee Lindem <[email-masked]>
Date: Thu, 7 Aug 2003 23:53:31 -0400

Hi Jason,

Jason Chen wrote:
> ".... A self-originated LSA is detected when..... 2) the LSA is a
> network- LSA and its Link State ID is equal to one of the router's own
> IP interface addresses. "
>
> ".....In most cases, the router must then advance the LSA's LS sequence
> number one past the received LS sequence number, and originate a new
> instance of the LSA"
>
> In an OSPF network, if one router change its OSPF router-id and then it
> receives self-orig Network Lsa with its old router id from its
> neighbor.  If the criteria (2) is met, should we treat the received LSA
> as self-orig LSA ?

Yes.
>
> If we treat the LSA as self-orig LSA, the router will reoriginate  new
> LSA (with new router-id)  with sequence number one past the received
> sequence number. What would be the right behavior once its neighbor
> receive the new LSA ?

You should flush it from the routing domain as described in the
third paragraph of section 13.4, RFC 2328.

------
Acee
P.S. Remember to complete your graceful restart implementation survey ;^)